Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::RLock Class Reference

`#include <RWLock.h>`

Inheritance diagram for ZThread::RLock::

List of all members.

## Protected Methods
| RLock (RWLock *l) throw (Synchronization_Exception)
| Create read lock associated with a certain RWLock. More...
virtual | ~RLock ()
| Destroy the read lock.
virtual void | release () throw (Synchronization_Exception)
| Release the read lock.
virtual void | acquire () throw (Synchronization_Exception)
| Acquire the read lock.
virtual bool | tryAcquire (unsigned long milliseconds) throw (Synchronization_Exception)
| Acquire the read lock with a timeout. More...

## Detailed Description

Delegate the lockable interface to the associated RWLock. This allows the RWLock to be used with the Guard object

## Constructor & Destructor Documentation

RLock ( | RWLock * l ) throw (Synchronization_Exception)`[inline, protected]`

  | Create read lock associated with a certain RWLock. Parameters:
  l |

## Member Function Documentation

bool tryAcquire ( | unsigned long milliseconds ) throw (Synchronization_Exception)`[inline, protected, virtual]`

  | Acquire the read lock with a timeout. Parameters:
  milliseconds |
Reimplemented from ZThread::Lockable.

The documentation for this class was generated from the following file:

- RWLock.h